Quassel IRC - Bug #674

Faded Nicknames are not Subpixel Rendered
04/15/2009 12:38 AM - EvilGuru

Status: Confirmed Start date: 04/15/2009
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Quassel GUI (Qt) Estimated time: 0.00 hour
Target version:

Version: 0.41 0S: Linux
Description

For some reasons nicknames which are alpha blended (as they are too long) are not rendered with subpixel rendering (assuming
that it is enabled in fontconfig). This causes the text to look somewhat different to that of non-truncated nicknames. See the

screenshot (Qt 4.5.0, Gentoo, medium hinting, legacy filter) for details.

Notice how <EvilGuru>, which is not truncated, is subpixel rendered, while <MindstormsKid> isn't subpixel rendered.

History

#1 - 04/26/2009 08:58 PM - Sputnick

- Status changed from New to Confirmed

#2 - 08/12/2010 12:27 AM - johu
maybe it is related to http:/bugreports.qt.nokia.com/browse/QTBUG-10615

#3 - 02/03/2014 07:01 AM - Bombe

It gets worse on a Retina display. :)
#4 - 09/09/2017 08:17 AM - DemonWav

This appears to still be a problem.
